Debian Bug report logs - #367667
manpages-dev: references between unlocked_stdio and funlockfile

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Justin Pryzby <justinpryzby@users.sourceforge.net>

Date: Wed, 17 May 2006 15:33:06 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages-dev/2.28-1

Fixed in version manpages/2.33-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#367667; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: submit@bugs.debian.org
Subject: manpages-dev: references between unlocked_stdio and funlockfile
Date: Wed, 17 May 2006 11:29:26 -0400
Package: manpages-dev
Version: 2.28-1
Severity: minor

I think stdio.3 should reference unlocked_stdio. 

I'm not sure I like the situation with both of stdin.3 and stdio.3:

-rw-r--r-- 1 root root 3391 Apr  3 15:36 /usr/share/man/man3/stdio.3.gz
-rw-r--r-- 1 root root 1782 Apr 28 08:36 /usr/share/man/man3/stdin.3.gz

It would be pretty easy to integrate the content of stdin into stdio;
a quick look reveals the following need to be mentioned:

  tty, and ``redirection'' from sh.1
  STDIN_FILENO, STDOUT_FILENO, and STDERR_FILENO and freopen
  input streams are by default line buffered by the terminal driver

If you think this would be useful I will suggest a patch.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#367667; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 367667@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>,367667@bugs.debian.org
Subject: Re: Bug#367667: manpages-dev: references between unlocked_stdio and funlockfile
Date: Wed, 17 May 2006 21:56:27 +0200 (MEST)
Justin,

> I think stdio.3 should reference unlocked_stdio. 

Done for 2.33.  (And created the converse reference also.)  Thanks.

> I'm not sure I like the situation with both of stdin.3 and stdio.3:
> 
> -rw-r--r-- 1 root root 3391 Apr  3 15:36 /usr/share/man/man3/stdio.3.gz
> -rw-r--r-- 1 root root 1782 Apr 28 08:36 /usr/share/man/man3/stdin.3.gz
> 
> It would be pretty easy to integrate the content of stdin into stdio;
> a quick look reveals the following need to be mentioned:
> 
>   tty, and ``redirection'' from sh.1
>   STDIN_FILENO, STDOUT_FILENO, and STDERR_FILENO and freopen
>   input streams are by default line buffered by the terminal driver
> 
> If you think this would be useful I will suggest a patch.

I don't think the situation is too serios.  Leave it.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 367667-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 367667-close@bugs.debian.org
Subject: Bug#367667: fixed in manpages 2.33-1
Date: Sun, 04 Jun 2006 00:02:13 -0700
Source: manpages
Source-Version: 2.33-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.33-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.33-1_all.deb
manpages_2.33-1.diff.gz
  to pool/main/m/manpages/manpages_2.33-1.diff.gz
manpages_2.33-1.dsc
  to pool/main/m/manpages/manpages_2.33-1.dsc
manpages_2.33-1_all.deb
  to pool/main/m/manpages/manpages_2.33-1_all.deb
manpages_2.33.orig.tar.gz
  to pool/main/m/manpages/manpages_2.33.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 367667@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  4 Jun 2006 08:27:46 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.33-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 367401 367667 367667 367671 368994
Changes: 
 manpages (2.33-1) unstable; urgency=low
 .
   * New upstream release
     . Added mincore(2) to SEE ALSO of mmap(2) (closes: Bug#367401)
     . Added SEE ALSO referring to unlocked_stdio.3 to stdio(3) (closes:
       Bug#367667)
     . Removed some functions that don't exist in undocumented(7) (closes:
       Bug#367671)
     . Added SEE ALSO referring to stdio.3 to unlocked_stdio(3) (closes:
       Bug#367667)
   * Added missing define _GNU_SOURCE to assert_perror(3) (closes:
     Bug#368994)
Files: 
 447b619d43eedf215851c827421236fb 584 doc - manpages_2.33-1.dsc
 1296efe5a9c390499461f431abd06bf8 1171288 doc - manpages_2.33.orig.tar.gz
 78f4916ed8da5fb889a569d2b394bbaf 49021 doc - manpages_2.33-1.diff.gz
 d9debb8e6d6b324dc997350a173d3baf 476446 doc important manpages_2.33-1_all.deb
 491aba9513d11577c1750735dbf6ed26 1204924 doc standard manpages-dev_2.33-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEgoLFW5ql+IAeqTIRAn8TAJ0dtZklJyDnBFU+CobKIzOEfBkShgCgiVZR
bPvcX83RxMKLnNbowqU9ia8=
=KpJQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 08:13:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:27:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.